diff --git a/Makefile b/Makefile
index 02e6fab..5d314db 100644
--- a/Makefile
+++ b/Makefile
@@ -1,13 +1,15 @@
 # This file is renamed to "Makefile.ext" in release tarballs so that setup.py won't try to
 # run it.  If you want setup.py to run "make" automatically, rename it back to "Makefile".
 
+PYTHON ?= python
+
 all: gevent/gevent.core.c gevent/gevent.ares.c
 
 gevent/core.pyx: gevent/core_.pyx
 	m4 -P gevent/core_.pyx > core.pyx && mv core.pyx gevent/
 
 gevent/gevent.core.c: gevent/core.pyx gevent/libev.pxd
-	python util/cython_ifdef.py -o gevent.core.c gevent/core.pyx
+	$(PYTHON) util/cython_ifdef.py -o gevent.core.c gevent/core.pyx
 	echo                          >> gevent.core.c
 	echo '#include "callbacks.c"' >> gevent.core.c
 	mv gevent.core.* gevent/
diff --git a/setup.py b/setup.py
old mode 100644
new mode 100755
index 0e49aba..1453cce
--- a/setup.py
+++ b/setup.py
@@ -126,6 +126,7 @@ if ares_embed:
 def make(done=[]):
     if not done:
         if os.path.exists('Makefile'):
+            os.environ["PYTHON"] = sys.executable
             if os.system('make'):
                 sys.exit(1)
         done.append(1)
